object mainFrm: TmainFrm
  Left = 0
  Top = 0
  Caption = 'DLA Simulator'
  ClientHeight = 645
  ClientWidth = 817
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Tahoma'
  Font.Style = []
  Menu = MainMenu
  OldCreateOrder = False
  OnCloseQuery = FormCloseQuery
  OnCreate = FormCreate
  PixelsPerInch = 96
  TextHeight = 13
  object ImageViewer: TImageViewer
    Left = 0
    Top = 0
    Width = 817
    Height = 626
    Frame = True
    Align = alClient
  end
  object StatusBar1: TStatusBar
    Left = 0
    Top = 626
    Width = 817
    Height = 19
    AutoHint = True
    Panels = <>
    SimplePanel = True
  end
  object ActionList: TActionList
    Left = 720
    Top = 336
    object aNew: TAction
      Category = 'File'
      Caption = 'New'
      Hint = 'Creates a new fractal.'
      ShortCut = 16462
      OnExecute = aNewExecute
      OnUpdate = NotWhileRunning
    end
    object aExit: TAction
      Category = 'File'
      Caption = 'Exit'
      Hint = 'Exits the program.'
      OnExecute = aExitExecute
    end
    object aDrawPointInCentre: TAction
      Category = 'Draw'
      Caption = 'Point in centre'
      Hint = 'Draws a point in the centre of the image.'
      OnExecute = aDrawPointInCentreExecute
      OnUpdate = NotWhileRunning
    end
    object aDrawCircle: TAction
      Category = 'Draw'
      Caption = 'Circle...'
      Hint = 'Draws a circle of some radius about the centre of the image.'
      OnExecute = aDrawCircleExecute
      OnUpdate = NotWhileRunning
    end
    object aDrawLineInMiddle: TAction
      Category = 'Draw'
      Caption = 'Line (middle)'
      Hint = 'Draws a horizontal line through the centre of the image.'
      OnExecute = aDrawLineInMiddleExecute
      OnUpdate = NotWhileRunning
    end
    object aDrawLineAtBottom: TAction
      Category = 'Draw'
      Caption = 'Line (bottom)'
      Hint = 'Draws a horizontal line at the bottom of the image.'
      OnExecute = aDrawLineAtBottomExecute
      OnUpdate = NotWhileRunning
    end
    object aDrawBoundary: TAction
      Category = 'Draw'
      Caption = 'Boundary'
      Hint = 'Draws a rectangle at the boundary of the image.'
      OnExecute = aDrawBoundaryExecute
      OnUpdate = NotWhileRunning
    end
    object aSimulate: TAction
      Category = 'Simulate'
      Caption = 'Start'
      Hint = 'Starts a DLA simulation.'
      ShortCut = 120
      OnExecute = aSimulateExecute
      OnUpdate = aSimulateUpdate
    end
    object aStop: TAction
      Category = 'Simulate'
      Caption = 'Pause'
      Hint = 'Stops the simulation.'
      ShortCut = 16449
      OnExecute = aStopExecute
      OnUpdate = aStopUpdate
    end
    object aSave: TAction
      Category = 'File'
      Caption = 'Save...'
      Hint = 'Saves the image.'
      ShortCut = 16467
      OnExecute = aSaveExecute
      OnUpdate = NotWhileRunning
    end
    object aSetSize: TAction
      Category = 'Fractal'
      Caption = 'Set size...'
      Hint = 'Sets the size of the image.'
      ShortCut = 16457
      OnExecute = aSetSizeExecute
      OnUpdate = NotWhileRunning
    end
    object aClear: TAction
      Category = 'Draw'
      Caption = 'Clear'
      Hint = 'Clears the image (making it completely white).'
      ShortCut = 16430
      OnExecute = aClearExecute
      OnUpdate = NotWhileRunning
    end
    object aSettings: TAction
      Category = 'Simulate'
      Caption = 'Settings...'
      Hint = 'Opens the '#39'Settings'#39' dialog box.'
      OnExecute = aSettingsExecute
      OnUpdate = NotWhileRunning
    end
    object aLoadBitmap: TAction
      Category = 'File'
      Caption = 'Open...'
      Hint = 'Opens a bitmap file.'
      ShortCut = 16463
      OnExecute = aLoadBitmapExecute
      OnUpdate = NotWhileRunning
    end
    object aAutoPreview: TAction
      Category = 'Simulate'
      AutoCheck = True
      Caption = 'Automatic preview'
      Checked = True
      Hint = 
        'Enables/disables automatic previewing of the fractal as it is be' +
        'ing grown.'
      ShortCut = 24656
      OnExecute = aAutoPreviewExecute
    end
    object aPreviewNow: TAction
      Category = 'Simulate'
      Caption = 'Preview now'
      Hint = 'Draws the image.'
      ShortCut = 16464
      OnExecute = aPreviewNowExecute
    end
    object aAbout: TAction
      Category = 'Help'
      Caption = 'About'
      Hint = 'Displays program information.'
      OnExecute = aAboutExecute
    end
    object aModeCircularTrue: TAction
      Category = 'Mode'
      Caption = 'Circular (true)'
      OnExecute = aModeCircularTrueExecute
      OnUpdate = aModeCircularTrueUpdate
    end
    object aModeUniform: TAction
      Category = 'Mode'
      Caption = 'Uniform'
      OnExecute = aModeUniformExecute
      OnUpdate = aModeUniformUpdate
    end
    object aModeBoundary: TAction
      Category = 'Mode'
      Caption = 'Boundary'
      OnExecute = aModeBoundaryExecute
      OnUpdate = aModeBoundaryUpdate
    end
    object aModeTop: TAction
      Category = 'Mode'
      Caption = 'Top'
    end
    object aCircularCompensator: TAction
      Category = 'Simulate'
      Caption = 'Circular compensator'
      Hint = 'Enables/disables the circular compensator.'
      OnExecute = aCircularCompensatorExecute
      OnUpdate = aCircularCompensatorUpdate
    end
    object aCopy: TAction
      Category = 'Fractal'
      Caption = 'Copy'
      Hint = 'Copies the image to clipboard.'
      ShortCut = 16451
      OnExecute = aCopyExecute
      OnUpdate = NotWhileRunning
    end
    object aDrawRandomPoints: TAction
      Category = 'Draw'
      Caption = 'Random points...'
      Hint = 'Draws a number of points at random locations.'
      OnExecute = aDrawRandomPointsExecute
      OnUpdate = NotWhileRunning
    end
    object aModeCircularFast: TAction
      Category = 'Mode'
      Caption = 'Circular (fast)'
      OnExecute = aModeCircularFastExecute
      OnUpdate = aModeCircularFastUpdate
    end
    object aStatistics: TAction
      Category = 'Compute'
      Caption = 'Statistics'
      Hint = 'Computes and displays statistics of the current bitmap.'
      ShortCut = 115
      OnExecute = aStatisticsExecute
      OnUpdate = NotWhileRunning
    end
  end
  object MainMenu: TMainMenu
    Left = 720
    Top = 384
    object Fractal1: TMenuItem
      Caption = 'File'
      object New1: TMenuItem
        Action = aNew
      end
      object Save1: TMenuItem
        Action = aSave
      end
      object Open1: TMenuItem
        Action = aLoadBitmap
      end
      object N1: TMenuItem
        Caption = '-'
      end
      object Exit1: TMenuItem
        Action = aExit
      end
    end
    object Fractal2: TMenuItem
      Caption = 'Fractal'
      object Copy1: TMenuItem
        Action = aCopy
      end
      object N6: TMenuItem
        Caption = '-'
      end
      object Setsize1: TMenuItem
        Action = aSetSize
      end
    end
    object Draw1: TMenuItem
      Caption = 'Draw'
      object Clear1: TMenuItem
        Action = aClear
      end
      object N2: TMenuItem
        Caption = '-'
      end
      object Pointincentre1: TMenuItem
        Action = aDrawPointInCentre
      end
      object Randompoints1: TMenuItem
        Action = aDrawRandomPoints
      end
      object Circle1: TMenuItem
        Action = aDrawCircle
      end
      object Linebottom1: TMenuItem
        Action = aDrawLineAtBottom
      end
      object Linemiddle1: TMenuItem
        Action = aDrawLineInMiddle
      end
      object Boundary1: TMenuItem
        Action = aDrawBoundary
      end
    end
    object Simulate1: TMenuItem
      Caption = 'Simulate'
      object aSimulate1: TMenuItem
        Action = aSimulate
      end
      object Pause1: TMenuItem
        Action = aStop
        ShortCut = 16504
      end
      object N4: TMenuItem
        Caption = '-'
      end
      object Mode1: TMenuItem
        Caption = 'Mode'
        object Circular1: TMenuItem
          Action = aModeCircularTrue
        end
        object Circularfast1: TMenuItem
          Action = aModeCircularFast
        end
        object Uniform1: TMenuItem
          Action = aModeUniform
        end
        object Boundary2: TMenuItem
          Action = aModeBoundary
        end
        object op1: TMenuItem
          Action = aModeTop
        end
      end
      object CircularCompensator1: TMenuItem
        Action = aCircularCompensator
      end
      object N5: TMenuItem
        Caption = '-'
      end
      object Autopreview1: TMenuItem
        Action = aAutoPreview
        AutoCheck = True
      end
      object Previewnow1: TMenuItem
        Action = aPreviewNow
      end
      object N3: TMenuItem
        Caption = '-'
      end
      object Settings1: TMenuItem
        Action = aSettings
      end
    end
    object Compute1: TMenuItem
      Caption = 'Compute'
      object Statistics1: TMenuItem
        Action = aStatistics
      end
    end
    object Help1: TMenuItem
      Caption = 'Help'
      object About1: TMenuItem
        Action = aAbout
      end
    end
  end
  object AutoUpdater: TTimer
    Enabled = False
    Interval = 30
    OnTimer = AutoUpdaterTimer
    Left = 720
    Top = 488
  end
end
