unit settingsWin;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TsettingsFrm = class(TForm)
    lblCoreInfo: TLabel;
    Label1: TLabel;
    TrackBar1: TTrackBar;
    btnOK: TButton;
    btnCancel: TButton;
    procedure FormShow(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  settingsFrm: TsettingsFrm;
  NCPUs: integer;

implementation

uses mainWin;

{$R *.dfm}

function GetNumProcessors: integer;
var
  SI: TSystemInfo;
begin
  GetSystemInfo(SI);
  result := SI.dwNumberOfProcessors;
end;

procedure TsettingsFrm.btnOKClick(Sender: TObject);
begin
  mainFrm.DLAFractal.ThreadCount := TrackBar1.Position;
end;

procedure TsettingsFrm.FormShow(Sender: TObject);
begin
  NCPUs := GetNumProcessors;
  lblCoreInfo.Caption := Format('This computer has %d logical processors available.', [NCPUs]);
  TrackBar1.Min := 1;
  TrackBar1.Max := NCPUs;
  TrackBar1.Position := mainFrm.DLAFractal.ThreadCount;
end;

end.
